Subject: bug#21660: 25.0.50; backtrace

From: Eli Zaretskii <[email-masked]>
Date: Sun, 11 Oct 2015 05:41:34 +0300

> From: Mark Oteiza <[email-masked]>
> Date: Sat, 10 Oct 2015 17:11:56 -0400
> 
> 
> I've had a couple SEGVs starting on 01 Oct. Here's a backtrace--in the
> event it's not useful I'm running unoptimized to hopefully catch it
> again.
> 
> #0  0x00007f8574ee9c39 in raise () from /usr/lib/libpthread.so.0
> No symbol table info available.
> #1  0x00000000004e6634 in terminate_due_to_signal (sig=sig@entry=11, 
>     backtrace_limit=backtrace_limit@entry=40) at emacs.c:397
> No locals.
> #2  0x00000000004fe33e in handle_fatal_signal (sig=sig@entry=11) at sysdep.c:1593
> No locals.
> #3  0x00000000004fe563 in deliver_thread_signal (sig=sig@entry=11, 
>     handler=0x4fe330 <handle_fatal_signal>) at sysdep.c:1567
> No locals.
> #4  0x00000000004fe5cf in deliver_fatal_thread_signal (sig=11) at sysdep.c:1605
> No locals.
> #5  handle_sigsegv (sig=11, siginfo=<optimized out>, arg=<optimized out>)
>     at sysdep.c:1687
>         fatal = <optimized out>
> #6  <signal handler called>
> No symbol table info available.
> #7  turn_on_face (f=0x46d5cc8, face_id=28) at term.c:1902
>         face = 0x0

The cause is again a face that was removed from the face cache.  I
need the same data as requested in bug #21428, and yes, from an
unoptimized build.

Thanks.